<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: PixelValue Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_pixel_value.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">PixelValue Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class describing the value of a pixel for any image format.  
 <a href="classarm__compute_1_1_pixel_value.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6c754430610a785d5cb27e3b0ac396b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a> ()</td></tr>
<tr class="memdesc:a6c754430610a785d5cb27e3b0ac396b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor: value initialized to 0.  <a href="#a6c754430610a785d5cb27e3b0ac396b8">More...</a><br /></td></tr>
<tr class="separator:a6c754430610a785d5cb27e3b0ac396b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeee8c50430251df2909cb16bd435a0b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#aeee8c50430251df2909cb16bd435a0b9">PixelValue</a> (uint8_t v)</td></tr>
<tr class="memdesc:aeee8c50430251df2909cb16bd435a0b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the union with a U8 pixel value.  <a href="#aeee8c50430251df2909cb16bd435a0b9">More...</a><br /></td></tr>
<tr class="separator:aeee8c50430251df2909cb16bd435a0b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a013dcabbedc5e470addaefe209c1d970"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a013dcabbedc5e470addaefe209c1d970">PixelValue</a> (uint16_t v)</td></tr>
<tr class="memdesc:a013dcabbedc5e470addaefe209c1d970"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the union with a U16 pixel value.  <a href="#a013dcabbedc5e470addaefe209c1d970">More...</a><br /></td></tr>
<tr class="separator:a013dcabbedc5e470addaefe209c1d970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a759f09965687c6aea87dc4df7dd6f6b8"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a759f09965687c6aea87dc4df7dd6f6b8">PixelValue</a> (int16_t v)</td></tr>
<tr class="memdesc:a759f09965687c6aea87dc4df7dd6f6b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the union with a S16 pixel value.  <a href="#a759f09965687c6aea87dc4df7dd6f6b8">More...</a><br /></td></tr>
<tr class="separator:a759f09965687c6aea87dc4df7dd6f6b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac04b0e04c1556f01d22c34af2afa564f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#ac04b0e04c1556f01d22c34af2afa564f">PixelValue</a> (uint32_t v)</td></tr>
<tr class="memdesc:ac04b0e04c1556f01d22c34af2afa564f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the union with a U32 pixel value.  <a href="#ac04b0e04c1556f01d22c34af2afa564f">More...</a><br /></td></tr>
<tr class="separator:ac04b0e04c1556f01d22c34af2afa564f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9deb64fff1a3515aa4bcd6f21dd3c4c0"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a9deb64fff1a3515aa4bcd6f21dd3c4c0">PixelValue</a> (int32_t v)</td></tr>
<tr class="memdesc:a9deb64fff1a3515aa4bcd6f21dd3c4c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the union with a S32 pixel value.  <a href="#a9deb64fff1a3515aa4bcd6f21dd3c4c0">More...</a><br /></td></tr>
<tr class="separator:a9deb64fff1a3515aa4bcd6f21dd3c4c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90103a4ef4ab615848bb3afce5b97be1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a90103a4ef4ab615848bb3afce5b97be1">PixelValue</a> (float v)</td></tr>
<tr class="memdesc:a90103a4ef4ab615848bb3afce5b97be1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialize the union with a F32 pixel value.  <a href="#a90103a4ef4ab615848bb3afce5b97be1">More...</a><br /></td></tr>
<tr class="separator:a90103a4ef4ab615848bb3afce5b97be1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3997ae7153b94a3595d1a33186356a5b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3997ae7153b94a3595d1a33186356a5b">get</a> (uint8_t &amp;v) const </td></tr>
<tr class="memdesc:a3997ae7153b94a3595d1a33186356a5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpret the pixel value as a U8.  <a href="#a3997ae7153b94a3595d1a33186356a5b">More...</a><br /></td></tr>
<tr class="separator:a3997ae7153b94a3595d1a33186356a5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae73f8684a3789f908181988c0ac061a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#ae73f8684a3789f908181988c0ac061a7">get</a> (uint16_t &amp;v) const </td></tr>
<tr class="memdesc:ae73f8684a3789f908181988c0ac061a7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpret the pixel value as a U16.  <a href="#ae73f8684a3789f908181988c0ac061a7">More...</a><br /></td></tr>
<tr class="separator:ae73f8684a3789f908181988c0ac061a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b08ca140cdafc88aa39ff660a1c477a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a8b08ca140cdafc88aa39ff660a1c477a">get</a> (int16_t &amp;v) const </td></tr>
<tr class="memdesc:a8b08ca140cdafc88aa39ff660a1c477a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpret the pixel value as a S16.  <a href="#a8b08ca140cdafc88aa39ff660a1c477a">More...</a><br /></td></tr>
<tr class="separator:a8b08ca140cdafc88aa39ff660a1c477a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af39addc08f2f12f258c64be7de2a95c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#af39addc08f2f12f258c64be7de2a95c2">get</a> (uint32_t &amp;v) const </td></tr>
<tr class="memdesc:af39addc08f2f12f258c64be7de2a95c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpret the pixel value as a U32.  <a href="#af39addc08f2f12f258c64be7de2a95c2">More...</a><br /></td></tr>
<tr class="separator:af39addc08f2f12f258c64be7de2a95c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2abd12bde55e3887e34e030e8352e06d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a2abd12bde55e3887e34e030e8352e06d">get</a> (int32_t &amp;v) const </td></tr>
<tr class="memdesc:a2abd12bde55e3887e34e030e8352e06d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpret the pixel value as a S32.  <a href="#a2abd12bde55e3887e34e030e8352e06d">More...</a><br /></td></tr>
<tr class="separator:a2abd12bde55e3887e34e030e8352e06d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac66bff5206364de49b3159e9cc9d3e58"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#ac66bff5206364de49b3159e9cc9d3e58">get</a> (float &amp;v) const </td></tr>
<tr class="memdesc:ac66bff5206364de49b3159e9cc9d3e58"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interpret the pixel value as a F32.  <a href="#ac66bff5206364de49b3159e9cc9d3e58">More...</a><br /></td></tr>
<tr class="separator:ac66bff5206364de49b3159e9cc9d3e58"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a3e79b9ee2384b30bb1a1bb85155bb803"><td class="memItemLeft" >union {</td></tr>
<tr class="memitem:afe42472c55e7e5df52b8aaca94d0fa7e"><td class="memItemLeft" >&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#afe42472c55e7e5df52b8aaca94d0fa7e">rgb</a> [3]</td></tr>
<tr class="memdesc:afe42472c55e7e5df52b8aaca94d0fa7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">3 channels: RGB888  <a href="#afe42472c55e7e5df52b8aaca94d0fa7e">More...</a><br /></td></tr>
<tr class="separator:afe42472c55e7e5df52b8aaca94d0fa7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d55760e9791473bc0c71da0fc648ee0"><td class="memItemLeft" >&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a9d55760e9791473bc0c71da0fc648ee0">yuv</a> [3]</td></tr>
<tr class="memdesc:a9d55760e9791473bc0c71da0fc648ee0"><td class="mdescLeft">&#160;</td><td class="mdescRight">3 channels: Any YUV format  <a href="#a9d55760e9791473bc0c71da0fc648ee0">More...</a><br /></td></tr>
<tr class="separator:a9d55760e9791473bc0c71da0fc648ee0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac24a28b797176d8a1e73d27f64c058d2"><td class="memItemLeft" >&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#ac24a28b797176d8a1e73d27f64c058d2">rgbx</a> [4]</td></tr>
<tr class="memdesc:ac24a28b797176d8a1e73d27f64c058d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">4 channels: RGBX8888  <a href="#ac24a28b797176d8a1e73d27f64c058d2">More...</a><br /></td></tr>
<tr class="separator:ac24a28b797176d8a1e73d27f64c058d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d886905c667c4e8e91251b6a3a98f39"><td class="memItemLeft" >&#160;&#160;&#160;float&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a7d886905c667c4e8e91251b6a3a98f39">f32</a></td></tr>
<tr class="memdesc:a7d886905c667c4e8e91251b6a3a98f39"><td class="mdescLeft">&#160;</td><td class="mdescRight">Single channel float 32.  <a href="#a7d886905c667c4e8e91251b6a3a98f39">More...</a><br /></td></tr>
<tr class="separator:a7d886905c667c4e8e91251b6a3a98f39"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0084c9e8c5778849f41d9de5df9c0f85"><td class="memItemLeft" >&#160;&#160;&#160;uint8_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a0084c9e8c5778849f41d9de5df9c0f85">u8</a></td></tr>
<tr class="memdesc:a0084c9e8c5778849f41d9de5df9c0f85"><td class="mdescLeft">&#160;</td><td class="mdescRight">Single channel U8.  <a href="#a0084c9e8c5778849f41d9de5df9c0f85">More...</a><br /></td></tr>
<tr class="separator:a0084c9e8c5778849f41d9de5df9c0f85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1234f83efa812e259523c91799614a3c"><td class="memItemLeft" >&#160;&#160;&#160;uint16_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a1234f83efa812e259523c91799614a3c">u16</a></td></tr>
<tr class="memdesc:a1234f83efa812e259523c91799614a3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Single channel U16.  <a href="#a1234f83efa812e259523c91799614a3c">More...</a><br /></td></tr>
<tr class="separator:a1234f83efa812e259523c91799614a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbbcd82ccbf61d179ba87ee5fe1bb7d8"><td class="memItemLeft" >&#160;&#160;&#160;int16_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#adbbcd82ccbf61d179ba87ee5fe1bb7d8">s16</a></td></tr>
<tr class="memdesc:adbbcd82ccbf61d179ba87ee5fe1bb7d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Single channel S16.  <a href="#adbbcd82ccbf61d179ba87ee5fe1bb7d8">More...</a><br /></td></tr>
<tr class="separator:adbbcd82ccbf61d179ba87ee5fe1bb7d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae65af0c4a8ee050043fe4b575f0a26a0"><td class="memItemLeft" >&#160;&#160;&#160;uint32_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#ae65af0c4a8ee050043fe4b575f0a26a0">u32</a></td></tr>
<tr class="memdesc:ae65af0c4a8ee050043fe4b575f0a26a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Single channel U32.  <a href="#ae65af0c4a8ee050043fe4b575f0a26a0">More...</a><br /></td></tr>
<tr class="separator:ae65af0c4a8ee050043fe4b575f0a26a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd1420e45b5486795a46cf1a5943a0ff"><td class="memItemLeft" >&#160;&#160;&#160;int32_t&#160;&#160;&#160;<a class="el" href="classarm__compute_1_1_pixel_value.xhtml#acd1420e45b5486795a46cf1a5943a0ff">s32</a></td></tr>
<tr class="memdesc:acd1420e45b5486795a46cf1a5943a0ff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Single channel S32.  <a href="#acd1420e45b5486795a46cf1a5943a0ff">More...</a><br /></td></tr>
<tr class="separator:acd1420e45b5486795a46cf1a5943a0ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e79b9ee2384b30bb1a1bb85155bb803"><td class="memItemLeft" valign="top">}&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a></td></tr>
<tr class="memdesc:a3e79b9ee2384b30bb1a1bb85155bb803"><td class="mdescLeft">&#160;</td><td class="mdescRight">Union which describes the value of a pixel for any image format.  <a href="#a3e79b9ee2384b30bb1a1bb85155bb803">More...</a><br /></td></tr>
<tr class="separator:a3e79b9ee2384b30bb1a1bb85155bb803"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class describing the value of a pixel for any image format. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00032">32</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6c754430610a785d5cb27e3b0ac396b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Default constructor: value initialized to 0. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00036">36</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>
<div class="fragment"><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>{ { 0 } }</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    {</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="aeee8c50430251df2909cb16bd435a0b9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the union with a U8 pixel value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">v</td><td>U8 value. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00044">44</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u8 = v;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a013dcabbedc5e470addaefe209c1d970"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the union with a U16 pixel value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">v</td><td>U16 value. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00053">53</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    {</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u16 = v;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a759f09965687c6aea87dc4df7dd6f6b8"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramtype">int16_t&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the union with a S16 pixel value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">v</td><td>S16 value. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00062">62</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s16 = v;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ac04b0e04c1556f01d22c34af2afa564f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the union with a U32 pixel value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">v</td><td>U32 value. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00071">71</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    {</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u32 = v;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a9deb64fff1a3515aa4bcd6f21dd3c4c0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the union with a S32 pixel value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">v</td><td>S32 value. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00080">80</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    {</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s32 = v;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a90103a4ef4ab615848bb3afce5b97be1"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initialize the union with a F32 pixel value. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">v</td><td>F32 value. </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00089">89</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        : <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">PixelValue</a>()</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    {</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.f32 = v;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a6c754430610a785d5cb27e3b0ac396b8"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a6c754430610a785d5cb27e3b0ac396b8">arm_compute::PixelValue::PixelValue</a></div><div class="ttdeci">PixelValue()</div><div class="ttdoc">Default constructor: value initialized to 0. </div><div class="ttdef"><b>Definition:</b> <a href="_pixel_value_8h_source.xhtml#l00036">PixelValue.h:36</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a3997ae7153b94a3595d1a33186356a5b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void get </td>
          <td>(</td>
          <td class="paramtype">uint8_t &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpret the pixel value as a U8. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">v</td><td>Returned value </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00113">113</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    {</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u8;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ae73f8684a3789f908181988c0ac061a7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void get </td>
          <td>(</td>
          <td class="paramtype">uint16_t &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpret the pixel value as a U16. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">v</td><td>Returned value </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00121">121</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    {</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u16;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a8b08ca140cdafc88aa39ff660a1c477a"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void get </td>
          <td>(</td>
          <td class="paramtype">int16_t &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpret the pixel value as a S16. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">v</td><td>Returned value </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00129">129</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    {</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s16;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="af39addc08f2f12f258c64be7de2a95c2"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void get </td>
          <td>(</td>
          <td class="paramtype">uint32_t &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpret the pixel value as a U32. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">v</td><td>Returned value </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00137">137</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    {</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.u32;</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="a2abd12bde55e3887e34e030e8352e06d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void get </td>
          <td>(</td>
          <td class="paramtype">int32_t &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpret the pixel value as a S32. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">v</td><td>Returned value </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00145">145</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    {</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.s32;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<a class="anchor" id="ac66bff5206364de49b3159e9cc9d3e58"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void get </td>
          <td>(</td>
          <td class="paramtype">float &amp;&#160;</td>
          <td class="paramname"><em>v</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interpret the pixel value as a F32. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[out]</td><td class="paramname">v</td><td>Returned value </td></tr>
  </table>
  </dd>
</dl>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00153">153</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

<p>References <a class="el" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">PixelValue::value</a>.</p>
<div class="fragment"><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    {</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        v = <a class="code" href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">value</a>.f32;</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    }</div><div class="ttc" id="classarm__compute_1_1_pixel_value_xhtml_a3e79b9ee2384b30bb1a1bb85155bb803"><div class="ttname"><a href="classarm__compute_1_1_pixel_value.xhtml#a3e79b9ee2384b30bb1a1bb85155bb803">arm_compute::PixelValue::value</a></div><div class="ttdeci">union arm_compute::PixelValue::@0 value</div><div class="ttdoc">Union which describes the value of a pixel for any image format. </div></div>
</div><!-- fragment -->
</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a7d886905c667c4e8e91251b6a3a98f39"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float f32</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Single channel float 32. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00102">102</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="afe42472c55e7e5df52b8aaca94d0fa7e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rgb[3]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>3 channels: RGB888 </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00099">99</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac24a28b797176d8a1e73d27f64c058d2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t rgbx[4]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>4 channels: RGBX8888 </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00101">101</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="adbbcd82ccbf61d179ba87ee5fe1bb7d8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int16_t s16</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Single channel S16. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00105">105</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="acd1420e45b5486795a46cf1a5943a0ff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int32_t s32</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Single channel S32. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00107">107</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1234f83efa812e259523c91799614a3c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint16_t u16</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Single channel U16. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00104">104</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae65af0c4a8ee050043fe4b575f0a26a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t u32</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Single channel U32. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00106">106</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0084c9e8c5778849f41d9de5df9c0f85"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t u8</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Single channel U8. </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00103">103</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3e79b9ee2384b30bb1a1bb85155bb803"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">union { ... }   value</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Union which describes the value of a pixel for any image format. </p>
<p>Use the field corresponding to the image format </p>

<p>Referenced by <a class="el" href="_pixel_value_8h_source.xhtml#l00113">PixelValue::get()</a>, and <a class="el" href="_pixel_value_8h_source.xhtml#l00044">PixelValue::PixelValue()</a>.</p>

</div>
</div>
<a class="anchor" id="a9d55760e9791473bc0c71da0fc648ee0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t yuv[3]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>3 channels: Any YUV format </p>

<p>Definition at line <a class="el" href="_pixel_value_8h_source.xhtml#l00100">100</a> of file <a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/core/<a class="el" href="_pixel_value_8h_source.xhtml">PixelValue.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_pixel_value.xhtml">PixelValue</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
